# YTDL Web

## Usage

```sh
ytdl-web [OPTIONS]
```

Available options:

- -b, --base-path string the base path, used when behind reverse proxy
- --config string config file (default is $XDG_CONFIG_HOME/ytdl-web/config.yml)
- -h, --help help for ytdl-web
- -l, --listen string address to listen on (default "127.0.0.1")
- -p, --port int port to listen on (default 8080)
- -y, --ytdlp-path string the path to the yt-dlp binary, used when it is not in $PATH (default "yt-dlp")

## Building from source

Prerequisites:

- [go v1.20](https://go.dev/doc/install)
- [task cli](https://taskfile.dev/installation/)

Steps:

1. Download dependencies

```sh
task deps
```

2. Build binary

```sh
task build
```

## Publishing Docker Image

Prerequsites:

- [docker](https://docs.docker.com/engine/install/)
- [task cli](https://taskfile.dev/installation/)

Steps:

1. Login to the container registry

```sh
docker login git.fifitido.net
```

2. Publish the container image

```sh
task docker:publish
```

## Publishing Chart

Prerequsites:

- [helm cli](https://helm.sh/docs/intro/install/)
- [cm-push helm plugin](https://github.com/chartmuseum/helm-push/).
- [task cli](https://taskfile.dev/installation/)

Steps:

1. Add the helm repo

```sh
helm repo add --username {username} --password {password} gitea-apps https://git.fifitido.net/api/packages/apps/helm
```

2. Publish the chart

```sh
task chart:publish
```
